Что делать, когда не удается установить программный центр?

Сегодня я обновился с 11.04 до 11.10. Во время обновления система зависает при настройке / установке программного центра. К сожалению, я должен был дать ему холодную перезагрузку. После этого я могу войти в новый 11.10, но когда я пытаюсь установить что-либо, я получаю

E: dpkg was interrupted, you must manually run 'dpkg --configure -a' to correct the problem.

 sudo dpkg --configure -a 

Я запускаю это, и снова он зависает при настройке программного центра. Я не знаю что делать!

Я пытался

 sudo apt-get remove --purge software-center 

Но он говорит, что, поскольку apt-get был прерван, запустите dpkg --configure -a (и затем цикл повторяется, замерзает в программном центре).

**

Обновление 1:

**

Я пробовал шаги, как предполагалось, но без успеха. Он зависает при настройке программного центра. Вот мои шаги:

 sony @ sony-VGN-CS17G-R: ~ $ cat / etc / lsb-release
 DISTRIB_ID = Ubuntu
 DISTRIB_RELEASE = 11,10
 DISTRIB_CODENAME = Oneiric
 DISTRIB_DESCRIPTION = "Ubuntu 11.10"
 sony @ sony-VGN-CS17G-R: ~ $ uname -a
 Linux sony-VGN-CS17G-R 3.0.0-12-generic # 20-Ubuntu SMP Fri Oct 7 14:50:42 UTC 2011 i686 i686 i386 GNU / Linux
 sony @ sony-VGN-CS17G-R: ~ $ LANG = C; sudo apt-get --simulate --purge autoremove
 Чтение списков пакетов ... Готово
 Создание дерева зависимостей       
 Чтение информации о состоянии ... Готово
 Следующие пакеты будут удалены:
   libboost-python1.42.0 * libdvbpsi6 * libmagick ++ 3 * libmatroska3 * libphonon4 *
   libx264-106 * linux-headers-2.6.38-8 * linux-headers-2.6.38-8-generic * phonon *
   phonon-backend-gstreamer * python-gtkmozembed * python-pypdf *
   python-pythonmagick * xulrunner-2.0 * xulrunner-2.0-mozjs *
 0 обновлено, 0 вновь установлено, 15 удалено и 0 не обновлено.
 45 не полностью установлен или удален.
 Purg libboost-python1.42.0 [1.42.0-4ubuntu2]
 Purg libdvbpsi6 [0.1.7-1]
 Purg python-pythonmagick [0.9.1-3ubuntu6]
 Purg libmagick ++ 3 [8: 6.6.0.4-3ubuntu1]
 Purg libmatroska3 [1.1.0 + dfsg-0ubuntu2]
 Purg phonon [4: 4.7.0really4.5.0-3ubuntu4]
 Purg phonon-backend-gstreamer [4: 4.7.0really4.5.1-1ubuntu3]
 Purg libphonon4 [4: 4.7.0really4.5.0-3ubuntu4]
 Purg libx264-106 [2: 0.106.1741-3]
 Purg linux-headers-2.6.38-8-generic [2.6.38-8.42]
 Purg linux-headers-2.6.38-8 [2.6.38-8.42]
 Purg python-gtkmozembed [2.25.3-7ubuntu2]
 Purg python-pypdf [1.13-1]
 Purg xulrunner-2.0 [2.0 + nobinonly-0ubuntu1]
 Purg xulrunner-2.0-mozjs [2.0 + nobinonly-0ubuntu1]
 Conf language-pack-gnome-en (1: 11.10 + 20111006 [все])
 Conf language-pack-gnome-en-base (1: 11.10 + 20111006 [все])
 Conf libmono-system4.0-cil (2.10.5-1 [все])
 Conf libmono-system-configuration4.0-cil (2.10.5-1 [все])
 Conf libmono-posix4.0-cil (2.10.5-1 [все])
 Conf libmono-system-core4.0-cil (2.10.5-1 [все])
 Conf libdbus1.0-cil (0.7.0-4 [все])
 Conf libdbus-glib1.0-cil (0.5.0-3build1 [все])
 Conf libglib2.0-cil (2.12.10-2ubuntu1 [i386])
 Conf libgconf2.0-cil (2.24.2-1 [все])
 Conf libgdata1.7-cil (1.7.0.1-1build1 [все])
 Conf libgkeyfile1.0-cil (0.1-2ubuntu2 [все])
 Conf libmono-system-drawing4.0-cil (2.10.5-1 [все])
 Conf libgtk2.0-cil (2.12.10-2ubuntu1 [i386])
 Conf libgtk-sharp-beans-cil (2.14.1-2build2 [все])
 Conf libgudev1.0-cil (0.1-2build1 [все])
 Conf libmono-sharpzip4.84-cil (2.10.5-1 [все])
 Conf libmono-addins0.2-cil (0.6.1-2ubuntu1 [все])
 Conf libmono-zeroconf1.0-cil (0.9.0-2build1 [все])
 Conf libnotify0.4-cil (0.4.0 ~ r3032-3build1 [все])
 Conf banshee (2.2.0-1ubuntu2 [i386])
 Conf banshee-extension-soundmenu (2.2.0-1ubuntu2 [i386])
 Conf libubuntuone1.0-cil (0.11.0-0ubuntu2 [все])
 Conf banshee-extension-ubuntuonemusicstore (2.2.0-1ubuntu2 [i386])
 Conf liblaunchpad-integration1.0-cil (0.1.54 [i386])
 Conf libmono-addins-gui0.2-cil (0.6.1-2ubuntu1 [все])
 Conf libmono-csharp4.0-cil (2.10.5-1 [все])
 Conf gbrainy (2.03-1ubuntu1 [все])
 Conf libappindicator0.1-cil (0.4.1-0ubuntu2 [все])
 Conf libart2.0-cil (2.24.2-1 [все])
 Conf libglade2.0-cil (2.12.10-2ubuntu1 [i386])
 Conf libgmime2.4-cil (2.4.26-0ubuntu2 [все])
 Conf libgnome-vfs2.0-cil (2.24.2-1 [все])
 Conf libgnome2.24-cil (2.24.2-1 [i386])
 Conf libmono-management4.0-cil (2.10.5-1 [все])
 Conf libndesk-dbus1.0-cil (0.6.0-5 [все])
 Conf libndesk-dbus-glib1.0-cil (0.4.1-3build1 [все])
 Conf libreoffice-l10n-ru-gb (1: 3.4.3-1ubuntu1 [все])
 Conf libreoffice-help-en-gb (1: 3.4.3-1ubuntu1 [все])
 Conf libreoffice-l10n-en-za (1: 3.4.3-1ubuntu1 [все])
 Conf mono-csharp-shell (2.10.5-1 [все])
 Conf openjdk-6-jre-lib (6b23 ~ pre10-0ubuntu5 [все])
 **

 > Программный центр Conf (5.0.1.4 [все]) ---------> Замораживает здесь

 **
 Conf tomboy (1.8.0-1ubuntu1 [i386])
 Conf ubuntu-desktop (1.245 [i386])

Я использовал вариант имитации apt-get; иначе я бы не смог скопировать терминал. Я старался не следовать этим шагам и двигаться дальше, но, в конце концов, каким-то образом, или другая система зависает, когда в центр появляется программный центр.